<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classPortSpeedDirBrake.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortSpeedDirBrake Member List</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#adb3149ccc0b679c22f8bbf9a4fcd8361">GetDIOPinBrake</a>() const </td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#abd5175fa61be340f49573732ae2bff84">GetDIOPinDir</a>() const </td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#aa0cde694df4fdbb88262359fe10d03d3">GetPinBrake</a>() const </td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#a3664a699412d620a3dd454f3d7baa083">GetPinDir</a>() const </td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#a02daf0961458a08c9ca7ab72e3d84452">GetPinPWM</a>() const </td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">GetPinType</a>() const </td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#a807af3bdcf2f4bba25d4dd318601001c">GetPosition</a>()</td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPort.html#aed93eb0b1e3fcb88843f6c5606d55621">GetSpeed</a>() const </td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#a56425e29545c1c169c7efd76e6bf411c">GetState</a>() const </td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#a71eb18829608ad1bc184593c3a9ce7d5">IsActive</a>() const </td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#a365a8f66d81dd6a422868b1368845e23">IsLeftDir</a>() const </td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPort.html#a879a1cf8248f8c34b28f4125beb91a2d">IsRightDir</a>() const </td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#a3546799f364d76e7a15415566a3b0c0d">IsStopped</a>() const </td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#a71b88dae69e1e3070d52d3613d12dbd7">MapDigitalValue</a>(int inValue) const </td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#a87373fe4ced21a4bcc61a0d66153f754">MapValue</a>(int inValue, PIN_TYPE inType = UNDEFINED) const </td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#aa4f1de14adaac3149e05b039e9583118">MoveLeftDir</a>(unsigned long inDuration = 0)</td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#a8a6af50e48788eedf1a4a95122082643">Port::MoveLeftDir</a>(unsigned long inDuration, int inSpeed)</td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">MovePin</a>(int inPin, int inValue, PIN_TYPE inType = UNDEFINED) const </td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#a960a487c2833fc23e9285a7615f41379">MovePosition</a>(unsigned long inDuration, int inEndPosition)</td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#a7d5432a050febe89a4bf12e237f5114a">MoveRightDir</a>(unsigned long inDuration = 0)</td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#ac78e0a5b72fc16c1240cecb5d6fe2f7f">Port::MoveRightDir</a>(unsigned long inDuration, int inSpeed)</td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#a5c1334617ccf28fff57b31bc74ad204b">MoveStop</a>()</td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#a2372de3e7c26ba23f5977658c71888b7">MoveToggle</a>(unsigned long inDuration = 0)</td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPort.html#a2cfb70a4b6d730e715042d646ec1d960">Port</a>()</td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#a04e036fed7d7e1019a3eeb2bf2eb9dca">PortSpeedDirBrake</a>()</td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">SetSpeed</a>(int inSpeed)</td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#a26bb5d894450d7e0bd38c561f51f0d6e">begin</a>(int inPinPWM, int inPinDir, int inPinBrake, PIN_TYPE inPWMType, PIN_TYPE inDigitalType)</td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a>()</td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#a101241b7b8e820f3d0da3c435ad1b66e">beginByAccessory</a>(int inStartingPosition)</td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPort.html#ad5c7ecf52b369e61dcc1353b81532bf5">beginPin</a>(int inPin, PIN_TYPE inType = UNDEFINED) const </td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#a920dbe91fa2b8a7b11961d7db5833868">digitalType</a></td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#ac7498e20f1d3746b14c2b50e997d37ec">pinBrake</a></td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#add2e7b662584bf2be76875a8b822ec97">pinDir</a></td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPortSpeedDirBrake.html#a56a36f4792539c57c2f50d969674271d">pinPWM</a></td><td class="entry"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a></td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classPort.html#a8a53f78f0221c753527a92cb9cb0f68f">speed</a></td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a></td><td class="entry"><a class="el" href="classPort.html">Port</a></td><td class="entry"><span class="mlabels"><span class="mlabel">protected</span></span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
